Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451435 - Openswan
Summary: Openswan
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openswan
Version: 9
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Avesh Agarwal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-14 13:58 UTC by Jerson Luiz de Paula Junior
Modified: 2009-07-14 15:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:01:05 UTC


Attachments (Terms of Use)
Openswan problem klips (deleted)
2008-06-14 13:58 UTC, Jerson Luiz de Paula Junior
no flags Details | Diff

Description Jerson Luiz de Paula Junior 2008-06-14 13:58:48 UTC
Description of problem:


Version-Release number of selected component (if applicable):
openswan-2.6.09-2.fc9.i386


How reproducible:


Steps to Reproduce:
1.etc/init.d/ipsec restart
ipsec_setup: Stopping Openswan IPsec...
ipsec_setup: Starting Openswan IPsec 2.6.09...
ipsec_setup: insmod /lib/modules/2.6.25.6-55.fc9.i686/kernel/net/ipv4/ah4.ko 
ipsec_setup: insmod /lib/modules/2.6.25.6-55.fc9.i686/kernel/crypto/aead.ko 
ipsec_setup: insmod /lib/modules/2.6.25.6-55.fc9.i686/kernel/net/ipv4/esp4.ko 
ipsec_setup: insmod /lib/modules/2.6.25.6-55.fc9.i686/kernel/net/ipv4/ipcomp.ko 
ipsec_setup: insmod /lib/modules/2.6.25.6-55.fc9.i686/kernel/net/ipv4/tunnel4.ko 
ipsec_setup: insmod
/lib/modules/2.6.25.6-55.fc9.i686/kernel/net/ipv4/xfrm4_tunnel.ko 
ipsec_setup: Trying hardware random, this may fail, which is okay.
ipsec_setup: Trying VIA padlock driver, this may fail, which is okay.
ipsec_setup: insmod
/lib/modules/2.6.25.6-55.fc9.i686/kernel/drivers/crypto/padlock-sha.ko 
ipsec_setup: FATAL: Error inserting padlock_sha
(/lib/modules/2.6.25.6-55.fc9.i686/kernel/drivers/crypto/padlock-sha.ko): No
such device
ipsec_setup: insmod
/lib/modules/2.6.25.6-55.fc9.i686/kernel/drivers/crypto/padlock-aes.ko 
ipsec_setup: WARNING: Error inserting padlock_aes
(/lib/modules/2.6.25.6-55.fc9.i686/kernel/drivers/crypto/padlock-aes.ko): No
such device
ipsec_setup: kernel appears to lack IPsec support (neither CONFIG_KLIPS or
CONFIG_NET_KEY are set)

  
Actual results:


Expected results:


Additional info:
I use Klips, but this version have problem whit klips support

Comment 1 Jerson Luiz de Paula Junior 2008-06-14 13:58:48 UTC
Created attachment 309362 [details]
Openswan problem klips

Comment 2 Steve Grubb 2008-06-23 20:52:35 UTC
A new version of openswan has been pushed out to F-9. Does this problem still
exist on the new version?

Comment 3 Avesh Agarwal 2008-10-08 21:43:12 UTC
I need some more information regarding this as follows:

1) do you still experience the problem?

Assuming yes to the previous one

2. does your kernel's config file in /boo/config-2.6 have "CONFIG_NET_KEY=m"?

If yes, then could you please check whether your /etc/ipsec.conf has "protostack=netkey"?  

If no, then it may be possible that your kernel is not compiled for ipsec support.

Moreover, the insmod errors just show that you dont have padlock driver (and associated harware for aes acceleration).

Comment 4 Paul Wouters 2008-10-14 10:06:58 UTC
if you have the klips module (non-fedora kernel module) then you need to add protostack=klips. You can also preload ipsec.ko before starting openswan to trigger selecting klips, but then you cannot have protostack=netkey.

Comment 5 Paul Wouters 2009-04-02 16:12:07 UTC
these warnings are gone in later versions of openswan anyway. 2.6.09 is really old

Comment 6 Bug Zapper 2009-06-10 01:37:05 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-07-14 15:01:05 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.